/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: FirstFrameDescriptor.java 20819 2011-02-02 16:00:53Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.autostart.guibuilder;

import org.ow2.jonas.autostart.frame.GuiBuilderFirstFrame;
import org.ow2.jonas.autostart.fullwizard.FullWizardPanelDescriptor;

/**
 * This class instanciates firstframe.
 * @author skabore
 */
public class FirstFrameDescriptor extends FullWizardPanelDescriptor {

    /**
     * The identifier.
     */
    public static final String IDENTIFIER = "INTRODUCTION_PANEL";

    /**
     * Default constructor.
     * @param steps, the required steps to create a starter.
     */
    public FirstFrameDescriptor(final int steps) {
        super(IDENTIFIER, new GuiBuilderFirstFrame(steps));
    }

    /**
     * @return nextPanelDescriptor
     */
    @Override
    public Object getNextPanelDescriptor() {
        getWizard().getConfigButton().setVisible(false);
        getWizard().getPreferencesButton().setEnabled(false);
        return LicenseFrameDescriptor.IDENTIFIER;
    }

    /**
     * @return backPanelDescriptor
     */
    @Override
    public Object getBackPanelDescriptor() {
        getWizard().getConfigButton().setVisible(false);
        return null;
    }
}
